SDL_PrivateAudioData Struct Reference

`#include <SDL_alsa_audio.h>`

Collaboration diagram for SDL_PrivateAudioData:
[legend]

## Data Fields

snd_pcm_t * | pcm_handle
Uint8 * | mixbuf
int | mixlen
int | resume
arts_stream_t | stream
pid_t | parent
float | frame_ticks
float | next_frame
int | audio_fd
AudioUnit | audioUnit
int | audioUnitOpened
void * | buffer
UInt32 | bufferOffset
UInt32 | bufferSize
AudioDeviceID | deviceID
LPDIRECTSOUND | sound
LPDIRECTSOUNDBUFFER | mixbuf
int | num_buffers
DWORD | lastchunk
Uint8 * | locked_buf
SDL_RWops * | output
Uint32 | mixlen
Uint32 | write_delay
Uint32 | initial_calls
Uint32 | conv_in_len
Uint32 | write_off
Uint32 | read_off
IFusionSound * | fs
IFusionSoundStream * | stream
int | mixsamples
BSoundPlayer * | audio_obj
SDL_mutex * | mutex
PP_Resource | audio
AuServer * | aud
AuFlowID | flow
AuDeviceID | dev
int | written
int | really
int | bps
struct timeval | last_tv
int | buf_free
int | channel
Uint8 * | rawbuf
Uint8 * | mixbufs [NUM_BUFFERS]
int | next_buffer
char * | device_name
pa_mainloop * | mainloop
pa_context * | context
pa_stream * | stream
int | iscapture
int | cardno
int | deviceno
snd_pcm_t * | audio_handle
uint32_t | timeout_on_wait
Uint8 * | pcm_buf
Uint32 | pcm_len
struct sio_hdl * | dev
SDL_AudioFormat | audio_fmt
int | ulaw_only
Uint8 * | ulaw_buf
Sint32 | written
int | fragsize
int | frequency
HWAVEOUT | hout
HWAVEIN | hin
HANDLE | audio_sem
WAVEHDR | wavebuf [NUM_BUFFERS]

## Detailed Description

Definition at line 33 of file SDL_alsa_audio.h.

## Field Documentation

AuServer* SDL_PrivateAudioData::aud

Definition at line 40 of file SDL_nasaudio.h.

PP_Resource SDL_PrivateAudioData::audio

Definition at line 38 of file SDL_naclaudio.h.

int SDL_PrivateAudioData::audio_fd

Definition at line 33 of file SDL_bsdaudio.h.

SDL_AudioFormat SDL_PrivateAudioData::audio_fmt

Definition at line 36 of file SDL_sunaudio.h.

snd_pcm_t* SDL_PrivateAudioData::audio_handle

Definition at line 42 of file SDL_qsa_audio.h.

BSoundPlayer* SDL_PrivateAudioData::audio_obj

Definition at line 33 of file SDL_haikuaudio.h.

HANDLE SDL_PrivateAudioData::audio_sem

Definition at line 37 of file SDL_winmm.h.

AudioUnit SDL_PrivateAudioData::audioUnit

Definition at line 46 of file SDL_coreaudio.h.

int SDL_PrivateAudioData::audioUnitOpened

Definition at line 47 of file SDL_coreaudio.h.

int SDL_PrivateAudioData::bps

Definition at line 50 of file SDL_nasaudio.h.

int SDL_PrivateAudioData::buf_free

Definition at line 52 of file SDL_nasaudio.h.

void* SDL_PrivateAudioData::buffer

Definition at line 48 of file SDL_coreaudio.h.

UInt32 SDL_PrivateAudioData::bufferOffset

Definition at line 49 of file SDL_coreaudio.h.

UInt32 SDL_PrivateAudioData::bufferSize

Definition at line 50 of file SDL_coreaudio.h.

int SDL_PrivateAudioData::cardno

Definition at line 40 of file SDL_qsa_audio.h.

int SDL_PrivateAudioData::channel

Definition at line 34 of file SDL_pspaudio.h.

pa_context* SDL_PrivateAudioData::context

Definition at line 39 of file SDL_pulseaudio.h.

Uint32 SDL_PrivateAudioData::conv_in_len

Definition at line 36 of file SDL_emscriptenaudio.h.

struct sio_hdl* SDL_PrivateAudioData::dev

Definition at line 36 of file SDL_sndioaudio.h.

AuDeviceID SDL_PrivateAudioData::dev

Definition at line 42 of file SDL_nasaudio.h.

char* SDL_PrivateAudioData::device_name

Definition at line 35 of file SDL_pulseaudio.h.

AudioDeviceID SDL_PrivateAudioData::deviceID

Definition at line 52 of file SDL_coreaudio.h.

int SDL_PrivateAudioData::deviceno

Definition at line 41 of file SDL_qsa_audio.h.

AuFlowID SDL_PrivateAudioData::flow

Definition at line 41 of file SDL_nasaudio.h.

int SDL_PrivateAudioData::fragsize

Definition at line 41 of file SDL_sunaudio.h.

float SDL_PrivateAudioData::frame_ticks

Definition at line 46 of file SDL_artsaudio.h.

int SDL_PrivateAudioData::frequency

Definition at line 42 of file SDL_sunaudio.h.

IFusionSound* SDL_PrivateAudioData::fs

Definition at line 36 of file SDL_fsaudio.h.

HWAVEIN SDL_PrivateAudioData::hin

Definition at line 36 of file SDL_winmm.h.

HWAVEOUT SDL_PrivateAudioData::hout

Definition at line 35 of file SDL_winmm.h.

Uint32 SDL_PrivateAudioData::initial_calls

Definition at line 37 of file SDL_dummyaudio.h.

int SDL_PrivateAudioData::iscapture

Definition at line 37 of file SDL_qsa_audio.h.

struct timeval SDL_PrivateAudioData::last_tv

Definition at line 51 of file SDL_nasaudio.h.

DWORD SDL_PrivateAudioData::lastchunk

Definition at line 40 of file SDL_directsound.h.

Uint8* SDL_PrivateAudioData::locked_buf

Definition at line 41 of file SDL_directsound.h.

pa_mainloop* SDL_PrivateAudioData::mainloop

Definition at line 38 of file SDL_pulseaudio.h.

LPDIRECTSOUNDBUFFER SDL_PrivateAudioData::mixbuf

Definition at line 37 of file SDL_directsound.h.

Uint8 * SDL_PrivateAudioData::mixbuf

Definition at line 39 of file SDL_alsa_audio.h.

Uint8* SDL_PrivateAudioData::mixbufs[NUM_BUFFERS]

Definition at line 38 of file SDL_pspaudio.h.

Uint32 SDL_PrivateAudioData::mixlen

Definition at line 37 of file SDL_diskaudio.h.

int SDL_PrivateAudioData::mixlen

Definition at line 40 of file SDL_alsa_audio.h.

int SDL_PrivateAudioData::mixsamples

Definition at line 44 of file SDL_fsaudio.h.

SDL_mutex* SDL_PrivateAudioData::mutex

Definition at line 37 of file SDL_naclaudio.h.

int SDL_PrivateAudioData::next_buffer

Definition at line 40 of file SDL_pspaudio.h.

float SDL_PrivateAudioData::next_frame

Definition at line 47 of file SDL_artsaudio.h.

int SDL_PrivateAudioData::num_buffers

Definition at line 38 of file SDL_directsound.h.

SDL_RWops* SDL_PrivateAudioData::output

Definition at line 35 of file SDL_diskaudio.h.

pid_t SDL_PrivateAudioData::parent

Definition at line 39 of file SDL_artsaudio.h.

Uint8* SDL_PrivateAudioData::pcm_buf

Definition at line 51 of file SDL_qsa_audio.h.

snd_pcm_t* SDL_PrivateAudioData::pcm_handle

Definition at line 36 of file SDL_alsa_audio.h.

Uint32 SDL_PrivateAudioData::pcm_len

Definition at line 52 of file SDL_qsa_audio.h.

Uint8* SDL_PrivateAudioData::rawbuf

Definition at line 36 of file SDL_pspaudio.h.

Uint32 SDL_PrivateAudioData::read_off

Definition at line 38 of file SDL_emscriptenaudio.h.

int SDL_PrivateAudioData::really

Definition at line 49 of file SDL_nasaudio.h.

int SDL_PrivateAudioData::resume

Definition at line 34 of file SDL_androidaudio.h.

LPDIRECTSOUND SDL_PrivateAudioData::sound

Definition at line 36 of file SDL_directsound.h.

arts_stream_t SDL_PrivateAudioData::stream

Definition at line 36 of file SDL_artsaudio.h.

IFusionSoundStream* SDL_PrivateAudioData::stream

Definition at line 39 of file SDL_fsaudio.h.

pa_stream* SDL_PrivateAudioData::stream

Definition at line 40 of file SDL_pulseaudio.h.

uint32_t SDL_PrivateAudioData::timeout_on_wait

Definition at line 48 of file SDL_qsa_audio.h.

Uint8* SDL_PrivateAudioData::ulaw_buf

Definition at line 39 of file SDL_sunaudio.h.

int SDL_PrivateAudioData::ulaw_only

Definition at line 38 of file SDL_sunaudio.h.

WAVEHDR SDL_PrivateAudioData::wavebuf[NUM_BUFFERS]

Definition at line 39 of file SDL_winmm.h.

Uint32 SDL_PrivateAudioData::write_delay

Definition at line 38 of file SDL_diskaudio.h.

Uint32 SDL_PrivateAudioData::write_off

Definition at line 38 of file SDL_emscriptenaudio.h.

Sint32 SDL_PrivateAudioData::written

Definition at line 40 of file SDL_sunaudio.h.

int SDL_PrivateAudioData::written

Definition at line 48 of file SDL_nasaudio.h.

The documentation for this struct was generated from the following files:

- src/audio/alsa/SDL_alsa_audio.h
- src/audio/android/SDL_androidaudio.h
- src/audio/arts/SDL_artsaudio.h
- src/audio/bsd/SDL_bsdaudio.h
- src/audio/coreaudio/SDL_coreaudio.h
- src/audio/directsound/SDL_directsound.h
- src/audio/disk/SDL_diskaudio.h
- src/audio/dsp/SDL_dspaudio.h
- src/audio/dummy/SDL_dummyaudio.h
- src/audio/emscripten/SDL_emscriptenaudio.h
- src/audio/esd/SDL_esdaudio.h
- src/audio/fusionsound/SDL_fsaudio.h
- src/audio/haiku/SDL_haikuaudio.h
- src/audio/nacl/SDL_naclaudio.h
- src/audio/nas/SDL_nasaudio.h
- src/audio/paudio/SDL_paudio.h
- src/audio/psp/SDL_pspaudio.h
- src/audio/pulseaudio/SDL_pulseaudio.h
- src/audio/qsa/SDL_qsa_audio.h
- src/audio/sndio/SDL_sndioaudio.h
- src/audio/sun/SDL_sunaudio.h
- src/audio/winmm/SDL_winmm.h